---
updatedAt: 2025-09-15T08:54:46.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Creates a new VPP invitation by ID

The following fields are also required if 'Send Emails' distribution method is specified - sender_name, sender_email_address, subject

```xml Sample Request Body
<vpp_invitation>
    <general>
        <name>Sample invitation</name>
        <vpp_account>
            <id>1</id>
        </vpp_account>
        <distribution_method>Send emails</distribution_method>
        <sender_name>user@company.com</sender_name>
        <sender_email_address>user@company.com</sender_email_address>
        <subject>Your Invite</subject>
        <message>Click the link to register with VPP.&#13;
&#13;
	%@&#13;
</message>
        <require_login>false</require_login>
        <auto_register_managed_users>false</auto_register_managed_users>
    </general>
    <scope>
        <all_jss_users>false</all_jss_users>
        <jss_users/>
        <jss_user_groups/>
        <limitations>
            <user_groups/>
        </limitations>
        <exclusions>
            <jss_users/>
            <jss_user_groups/>
            <user_groups/>
        </exclusions>
    </scope>
</vpp_invitation>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/vppinvitations/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "vppinvitations"
        ],
        "summary": "Creates a new VPP invitation by ID",
        "description": "The following fields are also required if 'Send Emails' distribution method is specified - sender_name, sender_email_address, subject",
        "operationId": "createInvitationById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```